Arch SplitMesh/ru

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SplitMesh and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch SplitMesh.svg Arch SplitMesh

Расположение в меню
Архитектура → Утилиты → Разделить сетку
Верстаки
Arch
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также
Выбрать не-разнородные сетки


Определение

Этот инструмент разбивает выбранную сетку на отдельные компоненты

Использование

  1. Select a mesh object.
  2. Press the Arch SplitMesh.png Split Mesh entry in Arch → Utilities → Split Mesh.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SplitMesh tool can be used in macros and from the Python console by using the following function:

new_list = splitMesh(obj, mark=True)
  • Splits the given mesh object (obj) into separated components.
  • If mark is True non-manifold components will be painted red.
  • new_list is a list of all the individual components that make the mesh.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)